from Products.CloseSite.config import *
from Products.CMFCore.utils import getToolByName
from cStringIO import StringIO
import string

def install(self):
    out = StringIO()
    close_site(self)
    print >> out, "* Successfully closed."
    return out.getvalue()


def uninstall(self):
    out = StringIO()
    open_site(self)
    print >> out, "* Restored to default security."
    return out.getvalue()


def create_custom(self, id):
    try:
        self.portal_skins.custom.manage_addProduct['CMFFormController'].manage_addControllerPythonScript(id)
        getattr(self.portal_skins.custom, id).write("return('!')")
    except:
        pass


def remove_custom(self, id):
    try:
        self.portal_skins.custom.manage_delObjects(id, None)
    except:
        pass


def close_site(self):
    for p in REMOVE_PERMISSION:
        self.manage_permission(p,REMOVE_PERMISSION[p][0],acquire=REMOVE_PERMISSION[p][1])

    for item in CUSTOM_CREATE:
        create_custom(self, item)


def open_site(self):
    for p in RESTORE_PERMISSION:
        self.manage_permission(p,RESTORE_PERMISSION[p][0],acquire=RESTORE_PERMISSION[p][1])

    for item in CUSTOM_CREATE:
        remove_custom(self, item)
